Pay a charge with a credit card

Pays an existing payment by ID with a credit card.

Use this operation when the payment uses the specific creditCard and creditCardHolderInfo or creditCardToken contract. For payments using the contract that allows selecting CREDIT or VOUCHER in cardType, use Pay a charge with card.

The payment must be in a status compatible with payment. Attempts for payments that are already paid, removed or in an incompatible status may be refused by the API.

The payment is processed at the time of the call, even if the payment has a future due date. This operation does not create a new payment or schedule the payment for a later date.

The creditCardToken, when used, must belong to the same customer linked to the payment.

⚠️

Retries

Do not treat this operation as idempotent.

In case of a timeout or an inconclusive response, check the current status of the payment before retrying the payment.

If successful, the response represents the known status of the payment after the payment attempt. Track subsequent changes through the payment Webhooks.

Related content

Guides

Webhooks

Error Library

Path Params
string
required

Unique payment identifier in Asaas

Body Params
creditCard
object
required

Credit card information

creditCardHolderInfo
object
required

Credit card holder information

string

Credit card token for using the credit card tokenization functionality. If informed, the fields above are not mandatory.

threeDSecure
object

Data to enable 3D Secure authentication on the payment. When informed, the cardholder may be redirected to authenticate with the card issuer before the payment is confirmed.

deviceInfo
object

Cardholder device information, used in 3D Secure authentication for risk analysis by the card issuer

Responses

404

Not found

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json